taccuino.vo

## Class ContattoStrutturaSanitariaRequestDTO

- java.lang.Object
- - taccuino.vo.ContattoStrutturaSanitariaRequestDTO

- Direct Known Subclasses:
    ContattoStrutturaSanitariaResponseDTO

      public class ContattoStrutturaSanitariaRequestDTO
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private String` | `codiceStruttura`
    `private LocalDate` | `dataFineContatto`
    `private LocalDate` | `dataInizioContatto`
    `private String` | `denominazioneStruttura`
    `private String` | `motivazioneContatto`
    `private String` | `tipoContatto`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContattoStrutturaSanitariaRequestDTO()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCodiceStruttura()`
    `LocalDate` | `getDataFineContatto()`
    `LocalDate` | `getDataInizioContatto()`
    `String` | `getDenominazioneStruttura()`
    `String` | `getMotivazioneContatto()`
    `String` | `getTipoContatto()`
    `void` | `setCodiceStruttura(String codiceStruttura)`
    `void` | `setDataFineContatto(LocalDate dataFineContatto)`
    `void` | `setDataInizioContatto(LocalDate dataInizioContatto)`
    `void` | `setDenominazioneStruttura(String denominazioneStruttura)`
    `void` | `setMotivazioneContatto(String motivazioneContatto)`
    `void` | `setTipoContatto(String tipoContatto)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### tipoContatto

          private String tipoContatto

    - #### codiceStruttura

          private String codiceStruttura

    - #### denominazioneStruttura

          private String denominazioneStruttura

    - #### motivazioneContatto

          private String motivazioneContatto

    - #### dataInizioContatto

          private LocalDate dataInizioContatto

    - #### dataFineContatto

          private LocalDate dataFineContatto

  - ### Constructor Detail

    - #### ContattoStrutturaSanitariaRequestDTO

          public ContattoStrutturaSanitariaRequestDTO()

  - ### Method Detail

    - #### getTipoContatto

          public String getTipoContatto()

    - #### setTipoContatto

          public void setTipoContatto(String tipoContatto)

    - #### getCodiceStruttura

          public String getCodiceStruttura()

    - #### setCodiceStruttura

          public void setCodiceStruttura(String codiceStruttura)

    - #### getDenominazioneStruttura

          public String getDenominazioneStruttura()

    - #### setDenominazioneStruttura

          public void setDenominazioneStruttura(String denominazioneStruttura)

    - #### getMotivazioneContatto

          public String getMotivazioneContatto()

    - #### setMotivazioneContatto

          public void setMotivazioneContatto(String motivazioneContatto)

    - #### getDataInizioContatto

          public LocalDate getDataInizioContatto()

    - #### setDataInizioContatto

          public void setDataInizioContatto(LocalDate dataInizioContatto)

    - #### getDataFineContatto

          public LocalDate getDataFineContatto()

    - #### setDataFineContatto

          public void setDataFineContatto(LocalDate dataFineContatto)